> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3producers contracts 

> Returns master data of the contract



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/producers/{userID}/contracts/{contractID}/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/{userID}/contracts/{contractID}/:
    get:
      tags:
        - producers
      description: Returns master data of the contract
      operationId: producers_contracts_retrieve
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProducerContractDetailsResponse'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
          description: The requested producer contract could not be found.
components:
  schemas:
    ProducerContractDetailsResponse:
      type: object
      description: Serializer for the fully assembled producer contract response.
      properties:
        deliv_address_street:
          type: string
          nullable: true
          title: Straße (Lieferadresse)*
          maxLength: 70
        deliv_address_house_number:
          type: string
          nullable: true
          title: Hausnummer (Lieferadresse)*
          maxLength: 35
        deliv_address_zipcode:
          type: string
          nullable: true
          title: Postleitzahl (Lieferadresse)*
          maxLength: 17
        deliv_address_city:
          type: string
          nullable: true
          title: Stadt (Lieferadresse)*
          maxLength: 35
        deliv_address_addition:
          type: string
          nullable: true
          title: Adresszusatz (Lieferadresse)
          maxLength: 50
        saas_contract_id:
          type: string
        annual_consumption:
          type: number
          format: double
          nullable: true
          title: Jahresbezug (kWh)
        status_info:
          type: string
          nullable: true
          title: Prozessinformation
        meter_id:
          type: array
          items:
            type: string
        preferred_delivery_start:
          type: string
          format: date
        previous_provider:
          type: string
          nullable: true
        subscription_reason:
          type: string
        reg_status:
          allOf:
            - $ref: '#/components/schemas/RegStatusEnum'
          title: Registrierungsstatus
        contract_termination_date:
          type: string
          format: date
          nullable: true
          title: Datum der Kündigung
        order_date:
          type: string
          format: date
          title: Bestelldatum
        market_location:
          type: string
          nullable: true
          readOnly: true
        bank_data_first_name:
          type: string
          nullable: true
          title: Vorname (Kontoinhaber)
          maxLength: 128
        bank_data_last_name:
          type: string
          nullable: true
          title: Nachname (Kontoinhaber)
          maxLength: 128
        bank_data_iban:
          type: string
          maxLength: 34
        bank_data_bic:
          type: string
          nullable: true
          maxLength: 11
        payment_method:
          allOf:
            - $ref: '#/components/schemas/PaymentMethodEnum'
          title: Zahlungsart
        sepa_date:
          type: string
          format: date
          nullable: true
        sepa_reference:
          type: string
        tax_number:
          type: string
        bill_address_street:
          type: string
          nullable: true
          title: Straße (Rechnungsadresse)
          maxLength: 70
        bill_address_house_number:
          type: string
          nullable: true
          title: Hausnummer (Rechnungsadresse)
          maxLength: 35
        bill_address_zipcode:
          type: string
          nullable: true
          title: Postleitzahl (Rechnungsadresse)
          maxLength: 17
        bill_address_city:
          type: string
          nullable: true
          title: Stadt (Rechnungsadresse)
          maxLength: 35
        bill_address_addition:
          type: string
          nullable: true
          title: Adresszusatz (Rechnungsadresse)
          maxLength: 50
        custom_name:
          type: string
          nullable: true
          maxLength: 100
        network_provider:
          $ref: '#/components/schemas/MarketPartnerReference'
        meter_operator:
          $ref: '#/components/schemas/MarketPartnerReference'
        redispatch_included:
          type: boolean
          nullable: true
          title: Übernahme der Redispatch Prozesse (EIV/BTR)
        first_name:
          type: string
          nullable: true
          title: Vorname
          maxLength: 255
        last_name:
          type: string
          nullable: true
          title: Nachname
          maxLength: 255
        is_business:
          type: boolean
        company_name:
          type: string
          title: Firmenname
          maxLength: 256
        email:
          type: string
          format: email
          title: E-Mail
          maxLength: 254
        telephone:
          type: string
          title: Telefon
          maxLength: 32
        accounting_email:
          type: string
          format: email
          nullable: true
          title: Rechnungs-Email
          maxLength: 254
        is_small_business:
          type: boolean
          title: Kleinunternehmer nach §19 UStG
        salutation:
          title: Anrede
          oneOf:
            - $ref: '#/components/schemas/SalutationEnum'
            - $ref: '#/components/schemas/BlankEnum'
        name_title:
          nullable: true
          title: Titel
          oneOf:
            - $ref: '#/components/schemas/NameTitleEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        masked_credit_card:
          type: string
          title: Credit card number, masked according to PCI-DSS 3.3
          description: >-
            Make sure that no more than 4 trailing digits are included! The rest
            of the space may be used for decorative purpose.
          maxLength: 16
        credit_card_validity_date:
          type: string
          format: date
          nullable: true
          description: >-
            Commonly notated as MM/YY on a payment card; Please find the last
            day of that month.
        salespartner_id:
          type: string
          title: Vertriebspartner ID
          readOnly: true
        third_party_salespartner:
          type: string
          readOnly: true
        bill_address_post_box:
          type: string
          title: Postfachnummer (Rechnungsadresse)
          maxLength: 64
        contract_termination_reason:
          nullable: true
          title: Kündigungsgrund
          oneOf:
            - $ref: '#/components/schemas/ContractTerminationReasonEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        is_consumer:
          type: boolean
          title: Verbraucher
        saas_customer_id:
          type: string
          readOnly: true
        username:
          type: string
        planned_annual_production:
          type: integer
        delivery_end:
          type: string
          format: date
          nullable: true
        delivery_start:
          type: string
          format: date
          nullable: true
        deliv_status:
          type: string
          nullable: true
        contract_parameters: {}
        tariff_type:
          type: array
          items:
            type: string
        timeseries_category:
          type: string
          nullable: true
      required:
        - contract_parameters
        - deliv_status
        - delivery_end
        - delivery_start
        - email
        - is_business
        - market_location
        - meter_id
        - meter_operator
        - network_provider
        - order_date
        - preferred_delivery_start
        - previous_provider
        - reg_status
        - saas_contract_id
        - saas_customer_id
        - salespartner_id
        - sepa_reference
        - subscription_reason
        - tariff_type
        - tax_number
        - third_party_salespartner
        - timeseries_category
        - username
    NotFoundResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    RegStatusEnum:
      enum:
        - in_revocation_period
        - open_join_private
        - open_join
        - pending_join
        - open_subscribe
        - pending_subscribe
        - closed_join_incomplete
        - closed_join
        - closed_join_private
        - on_hold
        - revoked
        - awaiting_meter_installation
        - closed_leave
        - open_unsubscribe
        - pending_unsubscribe
        - unsubscribe_received
        - unsubscribe_rejected
        - open_leave
        - pending_move
        - accounting_only
        - unpaused
      type: string
      description: |-
        * `in_revocation_period` - in Widerrufsfrist
        * `open_join_private` - neue Quartier-Vertragsbeziehung
        * `open_join` - neue Vertragsbeziehung
        * `pending_join` - Kündigung versandt
        * `open_subscribe` - Wechsel akzeptiert
        * `pending_subscribe` - in Anmeldung
        * `closed_join_incomplete` - Vertrag angemeldet (Daten unvollständig)
        * `closed_join` - Vertrag angemeldet
        * `closed_join_private` - Quartier-Vertrag angemeldet
        * `on_hold` - Prozess angehalten
        * `revoked` - Vertrag widerrufen
        * `awaiting_meter_installation` - in Erwartung des Zählereinbaus
        * `closed_leave` - Vertrag abgemeldet
        * `open_unsubscribe` - Kündigung durch uns akzeptiert
        * `pending_unsubscribe` - in Abmeldung
        * `unsubscribe_received` - Abmeldung erhalten
        * `unsubscribe_rejected` - Abmeldung abgelehnt
        * `open_leave` - Kunde hat Vertrag gekündigt
        * `pending_move` - Umzug mitgeteilt
        * `accounting_only` - Vertrag zur Bilanzierung
        * `unpaused` - Vertrag wiederaufgenommen
    PaymentMethodEnum:
      enum:
        - credit_card_display_only
        - direct_debit
        - bank_transfer
        - credit_card
        - no_payment_method
      type: string
      description: |-
        * `credit_card_display_only` - Kreditkarte (nur Anzeige)
        * `direct_debit` - SEPA Einzugsermächtigung
        * `bank_transfer` - Überweisung
        * `credit_card` - Kreditkarte
        * `no_payment_method` - Keine Zahlmethode
    MarketPartnerReference:
      type: object
      description: The compact market-partner object returned in contract detail payloads.
      properties:
        mpid:
          type: string
        company_name:
          type: string
    SalutationEnum:
      enum:
        - Frau
        - Herr
        - Eheleute
        - Divers
      type: string
      description: |-
        * `Frau` - Frau
        * `Herr` - Herr
        * `Eheleute` - Eheleute
        * `Divers` - Divers
    BlankEnum:
      enum:
        - ''
    NameTitleEnum:
      enum:
        - Dr.
        - Prof.
        - Prof. Dr.
      type: string
      description: |-
        * `` - Titel
        * `Dr.` - Dr.
        * `Prof.` - Prof.
        * `Prof. Dr.` - Prof. Dr.
    NullEnum:
      enum:
        - null
    ContractTerminationReasonEnum:
      enum:
        - E01
        - E03
        - ZT4
        - ZT5
        - Z33
        - Z41
        - ZG9
        - ZH1
        - ZH2
      type: string
      description: >-
        * `E01` - Einzug-/Auszug (Umzug) (E01)

        * `E03` - Wechsel (E03)

        * `ZT4` - Ende wegen Kündigung durch LF (ZT4)

        * `ZT5` - Ende wegen Kündigung durch Kunde/LFN (ZT5)

        * `Z33` - Auszug/Stilllegung (Z33)

        * `Z41` - Ende der ESV ohne Folgelieferung (Z41)

        * `ZG9` - Aufhebung einer zukünftigen Zuordnung wegen Auszug des Kunden
        (ZG9)

        * `ZH1` - Aufhebung einer zukünftigen Zuordnung wegen Stilllegung (ZH1)

        * `ZH2` - Aufhebung einer zukünftigen Zuordnung wegen aufgehobenem
        Vertragsverhältnis (ZH2)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.